package utils

import (
	"fmt"
	"strconv"
)

// IsPureNumeric 检查值是否纯数字（整数或可转换为整数的字符串）。
func IsPureNumeric(val interface{}) bool {
	v := fmt.Sprintf("%v", val)
	_, err := strconv.Atoi(v)
	return err == nil
}
